Hi. I have an original iPhone, unlocked & jailbroken, running 1.1.4. I really want to be able to use Mobile Me on my phone and also purchase apps from the appstore. If I upgrade to 2.0 (1.2) the phone will be locked again. Are there any solutions to this?

Cheers

Andrew